/**
 * Converts the input into a number and returns `NaN` if the conversion fails. This handles more
 * edge cases than just plain `Number(input)`.
 *
 * @category Number
 * @category Package : @augment-vir/common
 * @returns The converted number or `NaN`.
 * @package [`@augment-vir/common`](https://www.npmjs.com/package/@augment-vir/common)
 */
export declare function toNumber(input: unknown): number;
/**
 * Converts the input into a number and throws an error if the conversion fails.
 *
 * @category Number
 * @category Package : @augment-vir/common
 * @returns The converted number
 * @throws `TypeError` if the conversion resulted in `NaN`
 * @package [`@augment-vir/common`](https://www.npmjs.com/package/@augment-vir/common)
 */
export declare function toEnsuredNumber(input: unknown): number;
/**
 * Converts the input into a number and returns `undefined` if the conversion fails.
 *
 * @category Number
 * @category Package : @augment-vir/common
 * @returns The converted number or `undefined`.
 * @package [`@augment-vir/common`](https://www.npmjs.com/package/@augment-vir/common)
 */
export declare function toMaybeNumber(input: unknown): number | undefined;
