import { type CasingOptions } from './casing.js';
/**
 * Converts a kebab-case string to CamelCase.
 *
 * @category String
 * @category Package : @augment-vir/common
 * @package [`@augment-vir/common`](https://www.npmjs.com/package/@augment-vir/common)
 */
export declare function kebabCaseToCamelCase(rawKebabCase: string, casingOptions?: Partial<CasingOptions> | undefined): string;
/**
 * Converts a CamelCase string to kebab-case.
 *
 * @category String
 * @category Package : @augment-vir/common
 * @package [`@augment-vir/common`](https://www.npmjs.com/package/@augment-vir/common)
 */
export declare function camelCaseToKebabCase(rawCamelCase: string): string;
