/**
 * Removes all commas from the given string.
 *
 * @category String
 * @category Package : @augment-vir/common
 * @package [`@augment-vir/common`](https://www.npmjs.com/package/@augment-vir/common)
 */
export declare function removeCommas(input: string): string;
/**
 * Convert the given number into a string, then add commas like a normal number would have.
 *
 * @category String
 * @category Number
 * @category Package : @augment-vir/common
 * @example
 *
 * ```ts
 * import {addCommasToNumber} from '@augment-vir/common';
 *
 * addCommasToNumber(1000123.456);
 * // output is `'1,000,123.456'`
 * ```
 *
 * @package [`@augment-vir/common`](https://www.npmjs.com/package/@augment-vir/common)
 */
export declare function addCommasToNumber(input: number | string): string;
